package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmstruckRequirementMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmstruckRequirementMaterialMapper extends IBaseMapper<AmstruckRequirementMaterial, BigDecimal> {

    @Select("select seq__REQUIREMENT_MATERIAL.nextval from dual")
    BigDecimal selectRequirementMaterialId();
}